开发者社区> 问答> 正文

使用ruby在linux上使用selenium webdriver的问题

小六码奴 2019-04-10 11:50:59 327

我重新安装了ruby 2.3.1p112,我的规范测试不起作用。错误是:
Selenium::WebDriver::Error::SessionNotCreatedError: session not created: This version of ChromeDriver only supports Chrome version 74
(Driver info: chromedriver=74.0.3729.6 (255758eccf3d244491b8a1317aa76e1ce10d57e9-refs/branch-heads/3729@{#29}),platform=Linux 4.15.0-47-generic x86_64)

Web App开发 Linux Ruby
分享到
取消 提交回答
全部回答(1)
  • 小六码奴
    2019-07-17 23:33:05

    您有两种选择来解决此问题:

    你可以卸载chrome-stable并安装最新版本的chrome beta(这只是因为linux的chrome 74尚未发布)
    您可以降级chromedriver版本
    bundle exec chromedriver-update 73.0.3683.68

    0 0

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程